Bug 1436800: Update fedora source URL; r?glandium draft
authorTom Prince <mozilla@hocat.ca>
Thu, 08 Feb 2018 12:26:08 -0700
changeset 752680 fb4a67be14e8c804a836ceb7e8d9f4805c8eb497
parent 752649 69b3883f83a4faca40045735177c0c74095b6606
push id98343
push userbmo:mozilla@hocat.ca
push dateThu, 08 Feb 2018 19:34:39 +0000
reviewersglandium
bugs1436800
milestone60.0a1
Bug 1436800: Update fedora source URL; r?glandium The fedora project is migrating from pkgs.fedoraproject.org to src.fedoraproject.org. We should use the newer URL, particularly because the later has a globally trusted TLS certificate. MozReview-Commit-ID: 7TducICRR0k
build/unix/build-hfsplus/build-hfsplus.sh
--- a/build/unix/build-hfsplus/build-hfsplus.sh
+++ b/build/unix/build-hfsplus/build-hfsplus.sh
@@ -19,17 +19,17 @@ if test -z $TMPDIR; then
 fi
 
 # Set an md5 check file to validate input
 echo "${md5sum} *${TMPDIR}/${filename}" > $TMPDIR/hfsplus.MD5
 
 # Most-upstream is https://opensource.apple.com/source/diskdev_cmds/
 
 # Download the source of the specified version of hfsplus
-wget -c --progress=dot:mega -P $TMPDIR http://pkgs.fedoraproject.org/repo/pkgs/hfsplus-tools/${filename}/${md5sum}/${filename} || exit 1
+wget -c --progress=dot:mega -P $TMPDIR https://src.fedoraproject.org/repo/pkgs/hfsplus-tools/${filename}/${md5sum}/${filename} || exit 1
 md5sum -c $TMPDIR/hfsplus.MD5 || exit 1
 mkdir hfsplus-source
 tar xzf $TMPDIR/${filename} -C hfsplus-source --strip-components=1
 
 # Build
 cd hfsplus-source
 # We want to statically link against libcrypto. On CentOS, that requires zlib
 # and libdl, because of FIPS functions pulling in more than necessary from